org.apache.hadoop.io.serializer

## Class JavaSerialization

- java.lang.Object
- - org.apache.hadoop.io.serializer.JavaSerialization

- All Implemented Interfaces:
    org.apache.hadoop.io.serializer.Serialization<Serializable>

      @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public class JavaSerialization
      extends Object
      implements org.apache.hadoop.io.serializer.Serialization<Serializable>

  An experimental `Serialization` for Java `Serializable` classes.

  See Also:
    `JavaSerializationComparator`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaSerialization()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.io.serializer.Serialization

      `accept, getDeserializer, getSerializer`

- - ### Constructor Detail

    - #### JavaSerialization

          public JavaSerialization()

Copyright © 2022 Apache Software Foundation. All rights reserved.